%define pkgname %(echo %name | cut -d- -f2- | tr - _)

Name:          python-tinycss
Version:       0.4
Release:       4mamba
Summary:       tinycss is a complete yet simple CSS parser for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/tinycss/
Source:        https://pypi.debian.net/tinycss/tinycss-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n tinycss-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

#sed -i "/speedups.cpython-3.*\.so/d" %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 0.4-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-3mamba
- rebuilt with python  3.10

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-2mamba
- rebuilt with python3 3.7.4

* Mon Oct 17 2016 Automatic Build System <autodist@mambasoft.it> 0.4-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-1mamba
- package created using the webbuild interface
